<?php

if (!defined('PHPWG_ROOT_PATH')) { die('Hacking attempt!'); }

 ini_set('error_reporting', E_ALL);
 ini_set('display_errors', true);

if(!defined('PLUGIN_DIR')) { define('PLUGIN_DIR' , basename(dirname(__FILE__))); }
if(!defined('PLUGIN_PATH')) { define('PLUGIN_PATH' , PHPWG_PLUGINS_PATH . PLUGIN_DIR . '/'); }

include_once("plugin_class.inc.php");
include(get_language_filepath('plugin.lang.php', PLUGIN_PATH));


function plugin_install($plugin_id, $plugin_version, &$errors) 
{
	global $prefixeTable;

	$obj = new ImportStat_Plugin();
	$obj->init($prefixeTable);
	$obj->erase_temp_tables();
}

function plugin_activate($plugin_id, $plugin_version, &$errors)
{
	global $prefixeTable;
	
	$obj = new ImportStat_Plugin();
	$obj->init($prefixeTable);
	$obj->restore_backup();
}

function plugin_deactivate($plugin_id)
{
}

function plugin_uninstall($plugin_id)
{
	global $prefixeTable;

	$obj = new ImportStat_Plugin();
	$obj->init($prefixeTable);
	$obj->erase_temp_tables();
}


?>
